> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-offer-wall/dt-offer-wall-sdk/sdk-integration/android.md).

# Android

{% hint style="info" %}
**Current SDK Version: 3.67.0**

Offerwall and DT FairBid are integrated through the same SDK: the DT FairBid SDK. Apps with an existing FairBid integration can proceed directly to the [Offer Wall Configuration](/dt-offer-wall/dt-offer-wall-sdk/sdk-apis.md).
{% endhint %}

## Prerequisites

| PLATFORM             | REQUIREMENT                           |
| -------------------- | ------------------------------------- |
| Android API          | Android 4.4 (API Level 19) and later. |
| Kotlin               | 2.1.0 and later.                      |
| Google Play Services | 11.4.0 and later.                     |

### Tooling

FairBid SDK does not require specific tooling, for example, Android Studio, Android Gradle Plugin (AGP), Java Development Kit (JDK), and Gradle. However, if you use the following versions of Gradle, use the corresponding versions of AGP and JDK:

| GRADLE        | AGP         | JDK |
| ------------- | ----------- | --- |
| 7.5 and later | 7.4.2       | 11  |
| 8 and later   | 8 and later | 17  |

### Compile and Target SDK

FairBid SDK does not require specific compile or target SDK versions for your app. It maintains compatibility by performing runtime checks for APIs that are not available in the minimum supported version (API Level 19). The highest Android API that FairBid directly utilizes is API Level 30.

## Integration

DT supports both Gradle dependencies and manual downloads to integrate the SDK.

### Gradle

Add DT Maven repository and plugins to your Gradle build script:

1. Add the following to your project's root-level `build.gradle` file inside the `repositories` section.
2. At the root level `build.gradle` file, there are usually two repository sections — one for `buildscript` and one for `allprojects`. Add the entry in `allprojects`:

{% code title="Groovy" %}

```groovy
allprojects {
    repositories {
        mavenCentral()
    }
    ...
}
```

{% endcode %}

3. Add the following to the project app-level `build.gradle` file inside the `plugins` section. For more information, see [Types of Gradle Plugins](https://docs.gradle.org/current/userguide/plugins.html#sec:plugins_block):

{% code title="Groovy" %}

```groovy
plugins {
    ...
    id 'com.fyber.fairbid-sdk-plugin' version '3.67.0'
    ...
}
```

{% endcode %}

4. If you support Android SDK 26 and earlier, add the following snippet to the `android` section (for Java Version Compatibility):

{% code title="Groovy" %}

```groovy
android {
    ...
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    ...
}
```

{% endcode %}

### Manual Download

{% @dt-download-buttons/FairBid-Download-Button-android %}

1. Download the DT FairBid SDK.
2. Extract the file.
3. Import the `.aar` packages into your project.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-offer-wall/dt-offer-wall-sdk/sdk-integration/android.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
